Sentry Kayleen:
If you follow the coastline from the village and go southwest, you will come to an underground complex that served as a research institute in the past. Now it is abandoned and no one uses it. Therefore, strange monsters may be living in that space. Sometimes, there are people who go there to test their valor.
Also, if you continue to the south, you will come to the region of Gludio. It was built by Humans. They have a harbor, castle, village, and the Wasteland ... Three years ago, the village was destroyed during war with Gracia and much of the land was devastated.
Return